// tuneapp.


#ifndef __INHERITABLE_H__
#define __INHERITABLE_H__


#include "Item.h"


// interface
class Inheritable {
public:
	static const wstring PROP_INHERITED;

	virtual ~Inheritable() {}
	virtual bool isInheritor() const = 0;
	virtual Item* getInheritee() const = 0;
	virtual bool isInherited() const = 0;
	virtual void setInherited(bool inherit) = 0;
};


#endif // __INHERITABLE_H__
