// tuneapp.


#ifndef __VALUE_ITEM_H__
#define __VALUE_ITEM_H__


#include "Item.h"


class ValueItem : public virtual Item {
public:
	virtual int getSystemValue() const = 0;
	virtual int getCurrentValue() const = 0;
	virtual int getDefaultValue() const = 0;
	virtual int getDefaultMean() const = 0;
	virtual int getMinimumValue() const = 0;
	virtual int getMaximumValue() const = 0;
	virtual int getValueSteps() const = 0;
	virtual int getBlockSteps() const = 0;
	virtual int getScale() const = 0;
	virtual const wstring& getUnit() const = 0;
	virtual void setCurrentValue(int value) = 0;
};


#endif // __VALUE_ITEM_H__
