// AWT less.


#ifndef __FIT_LAYOUT_H__
#define __FIT_LAYOUT_H__


#include "LayoutManager.h"


namespace awt {


class FitLayout : public LayoutManager {
public:
	static FitLayout* const sharedInstance;

public:
	void addLayoutComponent(Component* child, const Constraints& constraints);
	void removeLayoutComponent(Component* child);
	Dimension getPreferredLayoutSize(Container* parent);
	void layoutContainer(Container* parent);
};


} // namespace


#endif // __FIT_LAYOUT_H__
