// AWT less.


#include "Frame.h"
#include "Toolkit.h"


namespace awt {


Frame::Frame() : title() {
}

LPCTSTR Frame::getWindowClass() {
	return reinterpret_cast<LPCTSTR>(MAKELONG(getToolkit()->getFrameClass(), 0));
}

LPCTSTR Frame::getWindowText() {
	return title.c_str();
}

DWORD Frame::getWindowStyle() {
	return WS_OVERLAPPEDWINDOW |
			Window::getWindowStyle();
}

void Frame::setTitle(const wstring& title) {
	this->title = title;
	if (hwnd) {
		::SetWindowText(hwnd, title.c_str());
	}
}


} // namespace
