// AWT less.


#include "NullLayout.h"


namespace awt {


NullLayout* const NullLayout::sharedInstance = new NullLayout();


void NullLayout::addLayoutComponent(Component* child, const Constraints& constraints) {
}

void NullLayout::removeLayoutComponent(Component* child) {
}

Dimension NullLayout::getPreferredLayoutSize(Container* parent) {
	return Dimension();
}

void NullLayout::layoutContainer(Container* parent) {
}


} // namespace
