// AWT less.


#ifndef __NULL_LAYOUT_H__
#define __NULL_LAYOUT_H__


#include "LayoutManager.h"


namespace awt {


class NullLayout : public LayoutManager {
public:
	static NullLayout* const sharedInstance;

public:
	void addLayoutComponent(Component* child, const Constraints& constraints);
	void removeLayoutComponent(Component* child);
	Dimension getPreferredLayoutSize(Container* parent);
	void layoutContainer(Container* parent);
};


} // namespace


#endif // __NULL_LAYOUT_H__
