// AWT less.


#ifndef __AWT_TEXT_AREA_H__
#define __AWT_TEXT_AREA_H__


#include "TextComponent.h"


namespace awt {


class TextArea : public TextComponent {
protected:
	int rows;
	int cols;
	int lineSpace;

	HMODULE dll;

protected:
	virtual LPCTSTR getWindowClass();
	virtual DWORD getWindowStyle();
	virtual HWND createWindow();

public:
	TextArea(const wstring& text, int rows, int cols);

	void setLineSpace(int lineSpace);

	virtual Dimension getPreferredSize();

	virtual void removeNotify();

private:
	void sendSetLineSpaceMessage(HWND hwnd);
};


} // namespace


#endif // __AWT_TEXT_AREA_H__
