// AWT less.


#ifndef __AWT_TEXTFIELD_H__
#define __AWT_TEXTFIELD_H__


#include "TextComponent.h"


namespace awt {


class TextField : public TextComponent {
protected:
	int cols;

protected:
	virtual DWORD getWindowStyle();
	virtual HWND createWindow();

public:
	TextField(int cols);
	TextField(const wstring& text, int cols);

	void setColumns(int cols);

	virtual Dimension getPreferredSize();
};


} // namespace


#endif // __AWT_TEXTFIELD_H__
