// AWT less.


#ifndef __AWT_ITEM_EVENT_SOURCE_H__
#define __AWT_ITEM_EVENT_SOURCE_H__


#include "ItemListener.h"
#include "../../util/EventListenerList.h"


namespace awt {


class ItemEventSource : public virtual Component {
private:
	EventListenerList<ItemListener> itemListeners;
public:
	void addItemListener(ItemListener* listener);
protected:
	void fireItemStateChanged();
};


} // namespace


#endif // __AWT_ITEM_EVENT_SOURCE_H__
