// AWT less.


#ifndef __AWT_MOUSE_LISTENER_H__
#define __AWT_MOUSE_LISTENER_H__


#include "MouseEvent.h"


namespace awt {


// interface
class MouseListener {
public:
	virtual void mouseEntered(MouseEvent& event) = 0;
	virtual void mouseExited(MouseEvent& event) = 0;
	virtual void mousePressed(MouseEvent& event) = 0;
};


} // namespace


#endif // __AWT_MOUSE_LISTENER_H__
