// tuneapp.


#ifndef __DISK_PERFORMANCE_COUNTER_ITEM_H__
#define __DISK_PERFORMANCE_COUNTER_ITEM_H__


#include "RegMultiStringCheckItem.h"


class DiskPerformanceCounterItem : public RegMultiStringCheckItem {
private:
	wstring trueArgs;
	wstring falseArgs;

public:
	DiskPerformanceCounterItem();

	virtual void setParams(xml::Node* params) throw(ConfigException);

	virtual void apply() throw(RegKeyException);

	virtual void store(Storage* storage);

protected:
	virtual void store(RegistryStorage* storage);
};



#endif // __DISK_PERFORMANCE_COUNTER_ITEM_H__
