// tuneapp.


#ifndef __REG_CHECK_ITEM_H__
#define __REG_CHECK_ITEM_H__


#include "AbstractRegCheckItem.h"

#include <string>
using namespace std;


class RegCheckItem : public AbstractRegCheckItem {
private:
	wstring trueString;
	wstring falseString;

public:
	RegCheckItem();
	virtual void setParams(xml::Node* params) throw(ConfigException);

private:
	void init();

protected:
	virtual bool readRegistry(RegKey* key) throw(RegKeyException);
	using AbstractRegCheckItem::readRegistry;
	virtual void writeRegistry(RegKey* key, bool value) throw(RegKeyException);
	using AbstractRegCheckItem::writeRegistry;

	virtual void store(RegistryStorage* storage);
};


#endif // __REG_CHECK_ITEM_H__
