// tuneapp.


#ifndef __REG_KEY_ITEM_H__
#define __REG_KEY_ITEM_H__


#include "AbstractRegCheckItem.h"

#include <string>
using namespace std;


class RegKeyItem : public AbstractRegCheckItem {
public:
	RegKeyItem();
	void setParams(xml::Node* params) throw(ConfigException);
private:
	void init();

public:
	virtual void apply() throw(RegKeyException);

protected:
	virtual void readRegistry();
	virtual bool readRegistry(RegKey* key) throw(RegKeyException);
	virtual void writeRegistry() throw(RegKeyException);
	virtual void writeRegistry(RegKey* key, bool value) throw(RegKeyException);
	virtual void deleteRegistry() throw(RegKeyException);

	virtual void store(RegistryStorage* storage);
};


#endif // __REG_KEY_ITEM_H__
