// tuneapp.


#ifndef __REG_VALUE_ITEM_H__
#define __REG_VALUE_ITEM_H__


#include "AbstractRegValueItem.h"
#include "../ValueItem.h"


class RegValueItem : public AbstractRegValueItem {
protected:
	virtual int readRegistry(RegKey* key) throw(RegKeyException);
	using AbstractRegValueItem::readRegistry;
	virtual void writeRegistry(RegKey* key, int value) throw(RegKeyException);
	using AbstractRegValueItem::writeRegistry;

	virtual void store(RegistryStorage* storage);
};


#endif // __REG_VALUE_ITEM_H__
