// tuneapp.


#include "CheckItemView.h"


CheckItemView::CheckItemView(CheckItem* item) : item(item) {
	createComponents();
}

void CheckItemView::createComponents() {
	setLabel(item->getLabel());
	setState(item->getCurrentValue());

	addItemListener(new CheckListener(this));
}

CheckItem* CheckItemView::getTargetItem() {
	return item;
}

void CheckItemView::CheckListener::itemStateChanged(awt::ItemEvent& event) {
	target->item->setCurrentValue(target->getState());
}
