// tuneapp.


#include "UsefulTree.h"


UsefulTree::UsefulTree() {
	addMouseListener(this);
	addItemListener(this);
}

void UsefulTree::mouseEntered(awt::MouseEvent& event) {
}

void UsefulTree::mouseExited(awt::MouseEvent& event) {
}

void UsefulTree::mousePressed(awt::MouseEvent& event) {
	Node* node = getClosestNode(awt::Point(event.getX(), event.getY()));
	if (node != NULL) {
		select(node);
	}
}

void UsefulTree::itemStateChanged(awt::ItemEvent& event) {
	Node* node = getSelectedNode();
	if (node != NULL) {
		setExpanded(node, true);
	}
}
