// tuneapp.


#ifndef __PROPERTY_CHANGE_EVENT_H__
#define __PROPERTY_CHANGE_EVENT_H__


#include "EventObject.h"

#include <string>
using namespace std;


class PropertyChangeEvent : public EventObject<void*> {
private:
	const wstring name;
	void* oldValue;
	void* newValue;

public:
	PropertyChangeEvent(void* source, const wstring& name, void* oldValue = NULL, void* newValue = NULL);
	const wstring& getPropertyName() const;
	void* getOldValue() const;
	void* getNewValue() const;
};


#endif // __PROPERTY_CHANGE_EVENT_H__
