// Rick DOM.


#ifndef __XML_ENTITY_TABLE_H__
#define __XML_ENTITY_TABLE_H__


#include <string>
#include <map>
using namespace std;

#include "../lang.h"


namespace xml {


class EntityTable {
protected:
	typedef map<wstring, wstring> Table;
	Table table;

public:
	EntityTable();

	const wstring& get(const wstring& name) const;
	void set(const wstring& name, const wstring& value);
	bool has(const wstring& name) const;
};


} // namespace


#endif // __XML_ENTITY_TABLE_H__
