// tuneapp.


#ifndef __CHECK_ITEM_H__
#define __CHECK_ITEM_H__


#include "Item.h"


// interface
class CheckItem : public virtual Item {
public:
	virtual bool getSystemValue() const = 0;
	virtual bool getCurrentValue() const = 0;
	virtual bool getDefaultValue() const = 0;
	virtual void setCurrentValue(bool value) = 0;
	virtual const wstring& getLabel() const = 0;
};


#endif // __CHECK_ITEM_H__
