// tuneapp.


class ItemGroupSelector;


#ifndef __ITEG_GROUP_SELECTOR_H__
#define __ITEG_GROUP_SELECTOR_H__


#include "Category.h"
#include "ItemGroup.h"

#include <string>
#include <vector>
using namespace std;


class ItemGroupSelector : public Category {
protected:
	ItemGroupSelector() {};

public:
	virtual const vector<wstring>& keys() const = 0;
	virtual const wstring& getLabel() const = 0;
	virtual const wstring& getLabel(const wstring& key) const = 0;
	virtual const ItemGroupList& getItemGroupList(const wstring& key) const = 0;
};


#endif // __ITEG_GROUP_SELECTOR_H__
