// tuneapp.


#ifndef __TOGGLE_ITEM_H__
#define __TOGGLE_ITEM_H__


#include "Item.h"


class ToggleItem : public virtual Item {
public:
	virtual int getSystemSelection() const = 0;
	virtual int getCurrentSelection() const = 0;
	virtual int getDefaultSelection() const = 0;
	virtual int getCountItems() const = 0;
	virtual void setCurrentSelection(int index) = 0;
	virtual const wstring& getLabel(int index) const = 0;
};


#endif // __TOGGLE_ITEM_H__
