// AWT less.


#ifndef __AWT_BORDERED_PANEL_H__
#define __AWT_BORDERED_PANEL_H__


#include "Panel.h"


namespace awt {


class BorderedPanel : public Panel {
protected:
	wstring label;

protected:
	virtual LPCTSTR getWindowClass();
	virtual LPCTSTR getWindowText();
	virtual DWORD getWindowStyle();

	virtual LRESULT windowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

public:
	BorderedPanel(const wstring& label);
	void setLabel(const wstring& label);

	virtual Insets getInsets() const;

private:
	LRESULT wmNcHitTest(int x, int y, bool& consume);
	LRESULT wmEraseBkgnd(HDC hdc, bool& consume);
};


} // namespace


#endif // __AWT_BORDERED_PANEL_H__
