// AWT less.


#ifndef __AWT_BUTTON_H__
#define __AWT_BUTTON_H__


#include "Component.h"
#include "event/ActionEventSource.h"


namespace awt {


class Button : public virtual Component, public virtual ActionEventSource {
protected:
	wstring label;

protected:
	virtual LPCTSTR getWindowClass();
	virtual LPCTSTR getWindowText();
	virtual DWORD getWindowStyle();

	virtual LRESULT wmCommand(WORD notifyMessage, WORD identifier, bool& consume);

public:
	Button(const wstring& label);

	const wstring& getLabel() const;
	void setLabel(const wstring& label);

	virtual Dimension getPreferredSize();
};


} // namespace


#endif // __AWT_BUTTON_H__
