// AWT less.


#ifndef __AWT_CHECKBOX_GROUP_H__
#define __AWT_CHECKBOX_GROUP_H__


#include "Panel.h"
#include "event/KeyListener.h"


namespace awt {


class Checkbox;


class CheckboxGroup : public Panel, public KeyListener {
	friend class Checkbox;

private:
	vector<Checkbox*> radioButtonList;

public:
	CheckboxGroup();

private:
	void radioButtonAdded(Checkbox* radioButton);

	void keyPressed(KeyEvent& event);
	void keyReleased(KeyEvent& event);
	void keyTyped(KeyEvent& event);

	void moveCheck(Checkbox* current, bool forward);
};


} // namespace


#endif // __AWT_CHECKBOX_GROUP_H__
