// AWT less.


#ifndef __AWT_FILE_DIALOG_H__
#define __AWT_FILE_DIALOG_H__


#include "Window.h"


namespace awt {


class FileDialog {
public:
	enum Type {
		SAVE,
		LOAD
	};

protected:
	Window* parent;
	wstring title;
	Type type;
	wstring fileName;
	wstring extentionName;

public:
	FileDialog(Window* parent, const wstring& title, Type type);
	void setFile(const wstring& fileName);
	void setExtention(const wstring& extentionName);
	wstring getFile() const;
	void setVisible(bool visible);
};


} // namespace


#endif // __AWT_FILE_DIALOG_H__
