// AWT less.


#ifndef __AWT_LABEL_H__
#define __AWT_LABEL_H__


#include "Component.h"


namespace awt {


class Label : public Component {
protected:
	wstring text;

protected:
	LPCTSTR getWindowClass();
	LPCTSTR getWindowText();
	DWORD getWindowStyle();

public:
	Label(const wstring& text);

	const wstring& getText();
	void setText(const wstring& text);

	virtual Dimension getPreferredSize();
};


} // namespace


#endif __AWT_LABEL_H__
