// AWT less.


#ifndef __AWT_ACTION_EVENT_SOURCE_H__
#define __AWT_ACTION_EVENT_SOURCE_H__


#include "ActionListener.h"
#include "../../util/EventListenerList.h"


namespace awt {


class ActionEventSource : public virtual Component {
private:
	EventListenerList<ActionListener> actionListeners;
public:
	void addActionListener(ActionListener* listener);
protected:
	void fireActionPerformed();
};


} // namespace


#endif // __AWT_ACTION_EVENT_SOURCE_H__
