// AWT less.


#include "AdjustmentEventSource.h"


namespace awt {


void AdjustmentEventSource::addAdjustmentListener(AdjustmentListener* listener) {
	adjustmentListeners.add(listener);
}

void AdjustmentEventSource::fireAdjustmentValueChanged(AdjustmentEvent::Type type, int value) {
	AdjustmentEvent event(this, type, value);
	FIRE_EVENT(adjustmentListeners, AdjustmentListener, adjustmentValueChanged, AdjustmentEvent, event);
}


} // namespace
