// AWT less.


#ifndef __AWT_ADJUSTMENT_EVENT_SOURCE_H__
#define __AWT_ADJUSTMENT_EVENT_SOURCE_H__


#include "AdjustmentListener.h"
#include "../../util/EventListenerList.h"


namespace awt {


class AdjustmentEventSource : public virtual Component {
private:
	EventListenerList<AdjustmentListener> adjustmentListeners;
public:
	void addAdjustmentListener(AdjustmentListener* listener);
protected:
	void fireAdjustmentValueChanged(AdjustmentEvent::Type type, int value);
};


} // namespace


#endif // __AWT_ADJUSTMENT_EVENT_SOURCE_H__
