// AWT less.


#include "ContainerEvent.h"
#include "../Container.h"


namespace awt {


ContainerEvent::ContainerEvent(Container* source, Type type, Component* child)
		: EventObject<Container*>(source), type(type), child(child) {
}

ContainerEvent::Type ContainerEvent::getType() const {
	return type;
}

Component* ContainerEvent::getChild() const {
	return child;
}


} // namespace
