// AWT less.


#include "MouseEvent.h"
#include "../Component.h"


namespace awt {


// make directory from lparam etc...


MouseEvent::MouseEvent(Component* source, Type type, Button button, int x, int y)
		: EventObject<Component*>(source),
		type(type), button(button), x(x), y(y) {
}

MouseEvent::Type MouseEvent::getType() const {
	return type;
}

MouseEvent::Button MouseEvent::getButton() const {
	return button;
}

int MouseEvent::getX() const {
	return x;
}

int MouseEvent::getY() const {
	return y;
}


} // namespace
