// tuneapp.


#ifndef __NIC_PARAMETER_ITEM_H__
#define __NIC_PARAMETER_ITEM_H__


#include "../../Item.h"
#include "../../Inheritable.h"

#include <string>
using namespace std;


// interface
class NICParameterItem : public virtual Item, public virtual Inheritable {
public:
	static const wstring SELTYPE_GLOBAL_ONLY;
	static const wstring SELTYPE_INTERFACES_ONLY;

	virtual Item* cloneForInterface(const wstring& regKeyName) throw(ConfigException) = 0;
	virtual const wstring& getSelectionType() const = 0;
};


#endif // __NIC_PARAMETER_ITEM_H__
