// tuneapp.


#ifndef __CHECK_ITEM_VIEW_H__
#define __CHECK_ITEM_VIEW_H__


#include "../CheckItem.h"

#include "../awt/Checkbox.h"


class CheckItemView : public awt::Checkbox {
private:
	CheckItem* const item;

public:
	CheckItemView(CheckItem* item);
	CheckItem* getTargetItem();

private:
	void createComponents();

	class CheckListener : public awt::ItemListener {
	private:
		CheckItemView* const target;
	public:
		CheckListener(CheckItemView* target) : target(target) {}
		void itemStateChanged(awt::ItemEvent& event);
	};
	friend class CheckListener;
};


#endif // __CHECK_ITEM_VIEW_H__
