// tuneapp.


#ifndef __EVENT_OBJECT_H__
#define __EVENT_OBJECT_H__


template<typename T>
class EventObject {
private:
	T const source;
	bool consumed;

public:
	EventObject(T source) : source(source), consumed(false) {
	}

	T getSource() const {
		return source;
	}

	void consume() {
		consumed = true;
	}

	bool isConsumed() const {
		return consumed;
	}
};


#endif // __EVENT_OBJECT_H__
