// tuneapp.


#include "PropertyChangeEvent.h"


PropertyChangeEvent::PropertyChangeEvent(
		void* source, const wstring& name, void* oldValue, void* newValue)
		: EventObject<void*>(source),
		name(name), oldValue(oldValue), newValue(newValue) {
}

const wstring& PropertyChangeEvent::getPropertyName() const {
	return name;
}

void* PropertyChangeEvent::getOldValue() const {
	return oldValue;
}

void* PropertyChangeEvent::getNewValue() const {
	return newValue;
}
